package de.ifgi.gui;
import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.Toolkit;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

import de.ifgi.proxy.GeotiffProxy;

public class ApplicationFrame extends JFrame{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Toolkit toolkit = Toolkit.getDefaultToolkit(); // Determine screen size.
	private Dimension screenSize = toolkit.getScreenSize(); // One could also create a new Dimension object with values set by hand.
	private Dimension canvasSize = screenSize; // The desired size of the Application Window.
	public GeotiffProxy prox;



	//constructor
	public ApplicationFrame(){
		
		
		
		//Create Menu Bar
		JMenuBar menuBar = new JMenuBar();
		
		//Add Menus and Items
		JMenu FileMenu = new JMenu("Menu");
		JMenuItem loadItem = new JMenuItem("Load");
		FileMenu.add(loadItem);
		JMenuItem exitItem = new JMenuItem("Exit");
		FileMenu.add(exitItem);
		FileMenu.setVisible(true);

		//Add Buttons
		
		JButton start = new JButton("Start");
		start.setSize(10, 10);
		start.setVisible(true);
		JButton options = new JButton("Options");
		options.setSize(10, 10);
		options.setVisible(true);
		
		// Add the menus to the menu bar.
		menuBar.add(FileMenu);
		menuBar.setVisible(true);
		
		// Add Listeners to the Menu Items
		loadItem.addActionListener(ApplicationFrameController.loadItemListener);
		exitItem.addActionListener(ApplicationFrameController.exitItemListener);
		options.addActionListener(ApplicationFrameController.optionFilterListener);
		start.addActionListener(ApplicationFrameController.startButtonListener);
		
		//
		JButton startButton = new JButton();
		startButton.setText("Start Filtering");
		startButton.addActionListener(ApplicationFrameController.startButtonListener);
		
		// Add Panels
		this.setLayout( new GridLayout(/*3*/ 0,   2,      6, 4     ) ); 
		this.add(options);
		this.add(start);
		
		
		
		
	// Add the menu bar to the application frame.
	this.setJMenuBar(menuBar);
	

	
	this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	this.setName("ASAP-Frame");
	this.setSize((int)canvasSize.getWidth()*1/4, (int)canvasSize.getHeight()*1/8);
	this.setVisible(true);
	
	}
	
	public void addImage(String img){
		prox.setAdresse(img);
	}
	


}