package de.ifgi.gui;

public class Parameter {


	private static Parameter instance;
	private String[] files;
	private double selectionQuota = 0.25;
	private double filterQuota = 0.1;

    private Parameter() {}

    public synchronized static Parameter getInstance() {
        if (instance == null) {
            instance = new Parameter();
        }
        return instance;
    }

    public String[] getFiles() {
		return files;
	}

	public double getSelectionQuota() {
		return selectionQuota;
	}

	public double getFilterQuota() {
		return filterQuota;
	}
	
	public void setFiles(String[] adressen) {
		this.files = adressen;
	}

	public void setSelectionQuota(String selectionQuota) throws Exception {
		double s = Double.parseDouble(selectionQuota);
		if (s<0 || s>1) throw new Exception("value between 0 and 1 please!");
		this.selectionQuota = s;
	}

	public void setFilterQuota(String filterQuota) throws Exception {
		double f = Double.parseDouble(filterQuota);
		if (f<0 || f>1) throw new Exception("value between 0 and 1 please!");
		this.filterQuota = f;
	}
}
