package de.ifgi.proxy;

import java.awt.Color;
import java.util.Random;

import de.ifgi.basics.BoundingBox;

public class GeotiffProxy {
	private BoundingBox bbox;
	private String adresse;
	private SampleElement[] sample;
	private double MDSValue;
	
	public double getMDSValue() {
		return MDSValue;
	}
	
	public GeotiffProxy(String Adresse){
		this.adresse=Adresse;
	}

	public boolean equalsSpatially(GeotiffProxy g){
		if (this.getBbox()==null || g.getBbox()== null) return true;
		return this.getBbox().equals(g.getBbox());
	}
	
	//nur zum Testen
	public GeotiffProxy(int samplelength, int width, BoundingBox b1){
		sample = new SampleElement[samplelength];
		Random r = new Random();
		for(int i = 0; i<samplelength; i++){
			Color col = new Color(r.nextFloat(),r.nextFloat(),r.nextFloat());
			sample[i] = new SampleElement(i%width,i/width,col.getRGB());
		}
		this.bbox = b1;
	}
	
	public GeotiffProxy(SampleElement[] sample, BoundingBox bbox, String adresse){
		this.sample = sample;
		this.bbox = bbox;
		this.adresse = adresse;
	}
	
	public BoundingBox getBbox() {
		return bbox;
	}
	public String getAdresse() {
		return adresse;
	}
	public SampleElement[] getSample() {
		return sample;
	}

	public void setMDSValue(double v) {
		this.MDSValue = v; 
	}

	public void setAdresse(String datei) {
		this.adresse=datei;
		
	}
	public String toString(){
		return this.adresse;
	}
	
}
